declare
cursor c1 is select view_name from DBA_views where OWNER ='SIEBELBI';
cmd varchar2(200);
begin
for c in c1 loop
cmd := 'GRANT SELECT ON SIEBELBI.'||c.view_name||' TO zelenkinaes';
execute immediate cmd;
end loop;
end;

